From 6521c96c4f560601a76e8e182b68df9560bc0fff Mon Sep 17 00:00:00 2001
From: Georgi Saev <georgi.saev@gmail.com>
Date: Fri, 21 Apr 2017 20:19:08 +0300
Subject: [PATCH] added context menu for html5 video tags

---
 lib/main.js | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/lib/main.js b/lib/main.js
index c46feea..33a2bb5 100644
--- a/lib/main.js
+++ b/lib/main.js
@@ -63,8 +63,13 @@ function play_video(url) {
 
 var menuItem = contextMenu.Item({
   label: "Watch with MPV",
-  context: contextMenu.SelectorContext("[href]"),
-  contentScript: 'self.on("click", function(node,data){self.postMessage(node.href);})',
+  context: contextMenu.SelectorContext("[href],video"),
+  contentScript: 'self.on("click", function(node,data){'+
+	'if(node.href){	self.postMessage(node.href);}'+
+        'else if (node.src){ self.postMessage(node.src);}'+
+	'else if (node.nodeName.toUpperCase() === "video".toUpperCase()){ var sources = node.querySelector("source"); '+
+          ' self.postMessage(sources.src); }'+
+       '})',
   accessKey: "e",
   image: data.url("icon_button.png"),
   onMessage: function (url) {
